diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/in/SDDImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/in/SDDImport.java
index 99c1c663e4..957970fadf 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/in/SDDImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/in/SDDImport.java
@@ -45,6 +45,7 @@ import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
 import eu.etaxonomy.cdm.model.common.CdmBase;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
@@ -52,8 +53,10 @@ import eu.etaxonomy.cdm.model.common.Language;
 import eu.etaxonomy.cdm.model.common.LanguageString;
 import eu.etaxonomy.cdm.model.common.Marker;
 import eu.etaxonomy.cdm.model.common.MarkerType;
+import eu.etaxonomy.cdm.model.common.OriginalSourceType;
 import eu.etaxonomy.cdm.model.common.Representation;
 import eu.etaxonomy.cdm.model.common.TermBase;
+import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.common.TermVocabulary;
 import eu.etaxonomy.cdm.model.common.VersionableEntity;
 import eu.etaxonomy.cdm.model.description.CategoricalData;
@@ -61,7 +64,6 @@ import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureNode;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.QuantitativeData;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StateData;
@@ -80,7 +82,7 @@ import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.NonViralName;
 import eu.etaxonomy.cdm.model.name.Rank;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 import eu.etaxonomy.cdm.model.taxon.Classification;
@@ -118,8 +120,8 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 	private Map<String,MeasurementUnit> units = new HashMap<String,MeasurementUnit>();
 	private Map<String,TaxonNode> taxonNodes = new HashMap<String,TaxonNode>();
 	private Map<String,NamedArea> namedAreas = new HashMap<String,NamedArea>();
-	private Map<String,Specimen> specimens = new HashMap<String,Specimen>();
-	private Map<String,Modifier> modifiers = new HashMap<String,Modifier>();
+	private Map<String,DerivedUnit> specimens = new HashMap<String,DerivedUnit>();
+	private Map<String,DefinedTerm> modifiers = new HashMap<String,DefinedTerm>();
 	
 	private Set<MarkerType> markerTypes = new HashSet<MarkerType>();
 	private Set<TermVocabulary<?>> vocabularies = new HashSet<TermVocabulary<?>>();
@@ -337,17 +339,17 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 	
 	/**
 	 * 
-	 * @param ve
+	 * @param media
 	 * @param langLabDet
 	 */
-	private void makeRepresentationForMedia(Media m, Map<Language, List<String>> langLabDet) {
+	private void makeRepresentationForMedia(Media media, Map<Language, List<String>> langLabDet) {
 		for (Language lang : langLabDet.keySet()){
 			List<String> labDet = langLabDet.get(lang);
 			if (labDet.get(0) != null){
-				m.putTitle(LanguageString.NewInstance(labDet.get(0), lang));
+				media.putTitle(LanguageString.NewInstance(labDet.get(0), lang));
 			}
 			if (labDet.size()>1) {
-				m.addDescription(labDet.get(1), lang);
+				media.putDescription(lang, labDet.get(1));
 			}
 		}
 	}
@@ -396,7 +398,8 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 					} else {
 						Reference<?> descriptionSource = ReferenceFactory.newGeneric();
 						sources.add(descriptionSource);
-						td.addSource(null, null, descriptionSource, null);
+						//TODO type
+						td.addSource(OriginalSourceType.Unknown, null, null, descriptionSource, null);
 						this.associateImageWithCdmBase(ref,descriptionSource);
 					}
 				} else {
@@ -620,7 +623,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 					location.setAnnotationType(annotationType);
 					(publication).addAnnotation(location);
 				}
-				td.addSource(null, null,publication, null);
+				td.addSource(OriginalSourceType.PrimaryTaxonomicSource, null, null,publication, null);
 			}
 		}
 		logger.info("end makeTaxonDescriptions ...");
@@ -649,7 +652,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 		for (Classification classification : classifications) {
 			getClassificationService().save(classification);
 		}
-		for (Specimen specimen : specimens.values()) {
+		for (DerivedUnit specimen : specimens.values()) {
 			getOccurrenceService().save(specimen);
 		}
 		logger.info("end of persistence ...");
@@ -711,7 +714,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 	}
 
 	private void saveModifiers() {
-		for (Modifier modifier : modifiers.values() ){
+		for (DefinedTerm modifier : modifiers.values() ){
 			getTermService().save(modifier);
 		}
 	}
@@ -753,9 +756,9 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 			List<Element> listSpecimens = elSpecimens.getChildren("Specimen", sddNamespace);
 			for (Element elSpecimen : listSpecimens) {
 				String id = elSpecimen.getAttributeValue("id");
-				Specimen specimen = null;
+				DerivedUnit specimen = null;
 				if (!id.equals("")) {
-					specimen = Specimen.NewInstance();
+					specimen = DerivedUnit.NewPreservedSpecimenInstance();
 					specimens.put(id,specimen);
 					importRepresentation(elSpecimen, sddNamespace, specimen, id, cdmState);
 				}
@@ -887,11 +890,12 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 					tnb = NonViralName.NewInstance(Rank.UNKNOWN_RANK());
 					IdentifiableSource source = null;
 					if (uri != null) {
-						if (!uri.equals("")) {
-							source = IdentifiableSource.NewInstance(id, "TaxonName", ReferenceFactory.newGeneric(), uri);
+						if (! isNotBlank(uri)) {
+							//TODO type
+							source = IdentifiableSource.NewInstance(OriginalSourceType.Unknown, id, "TaxonName", ReferenceFactory.newGeneric(), uri);
 						}
 					} else {
-						source = IdentifiableSource.NewInstance(id, "TaxonName");
+						source = IdentifiableSource.NewDataImportInstance(id, "TaxonName");
 					}
 					tnb.addSource(source);
 					taxonNameBases.put(id,tnb);
@@ -951,7 +955,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 
 				// <StateDefinition id="s1">
 				List<Element> elStateDefinitions = elStates.getChildren("StateDefinition",sddNamespace);
-				TermVocabulary<State> termVocabularyState = TermVocabulary.NewInstance(null, null, null, null);
+				TermVocabulary<State> termVocabularyState = TermVocabulary.NewInstance(TermType.State, null, null, null, null);
 				
 				vocabularies.add(termVocabularyState);
 				
@@ -1191,7 +1195,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 		Taxon taxon = null;
 		NonViralName<?> nonViralName = NonViralName.NewInstance(Rank.UNKNOWN_RANK());
 		String id = new String("" + taxonNamesCount);
-		IdentifiableSource source = IdentifiableSource.NewInstance(id, "TaxonName");
+		IdentifiableSource source = IdentifiableSource.NewDataImportInstance(id, "TaxonName");
 		importRepresentation(elCodedDescription, sddNamespace, nonViralName, id, cdmState);
 		
 		if(cdmState.getConfig().isReuseExistingTaxaWhenPossible()){
@@ -1396,12 +1400,12 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 					List<Element> elModifiers = elState.getChildren("Modifier", sddNamespace);
 					for (Element elModifier : elModifiers){
 						ref = elModifier.getAttributeValue("ref");
-						Modifier modifier = modifiers.get(ref);
+						DefinedTerm modifier = modifiers.get(ref);
 						if (modifier != null) {
 							stateData.addModifier(modifier);
 						}
 					}
-					categoricalData.addState(stateData);
+					categoricalData.addStateData(stateData);
 				}
 				taxonDescription.addElement(categoricalData);
 			}
@@ -1430,7 +1434,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 					//  </Representation>
 					Person person = Person.NewInstance();
 					importRepresentation(elAgent, sddNamespace, person, idA, cdmState);
-					person.addSource(IdentifiableSource.NewInstance(idA, "Agent"));
+					person.addSource(IdentifiableSource.NewDataImportInstance(idA, "Agent"));
 
 					/*XIM <Links>
 					Element elLinks = elAgent.getChild("Links",sddNamespace);
@@ -1681,9 +1685,9 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 						Element elModifiers = elDescriptiveConcept.getChild("Modifiers", sddNamespace);
 					if (elModifiers !=null){
 						List<Element> listModifiers = elModifiers.getChildren("Modifier", sddNamespace);
-							TermVocabulary<Modifier> termVocabularyState = TermVocabulary.NewInstance(null, null, null, null);
+							TermVocabulary<DefinedTerm> termVocabularyState = TermVocabulary.NewInstance(TermType.Modifier, null, null, null, null);
 						for (Element elModifier : listModifiers) {
-								Modifier modif = Modifier.NewInstance();
+								DefinedTerm modif = DefinedTerm.NewModifierInstance(null, null, null);
 								String idmod = elModifier.getAttributeValue("id");
 								importRepresentation(elModifier, sddNamespace, modif, idmod, state);
 								termVocabularyState.addTerm(modif);
@@ -1880,12 +1884,14 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 									String refP = elParent.getAttributeValue("ref");
 									if (!refP.equals("")) {
 										TaxonNode parent = taxonNodes.get(refP);
-										TaxonNode child = parent.addChildTaxon(taxon, sec, "", Synonym.NewInstance(tnb, sec));
+										TaxonNode child = parent.addChildTaxon(taxon, sec, null);
+										child.setSynonymToBeUsed( Synonym.NewInstance(tnb, sec)); //TODO is this required??
 										taxonNodes.put(idN,child);
 									}
 								}
 								else {
-									TaxonNode tn = classification.addChildTaxon(taxon, sec, "", Synonym.NewInstance(tnb, sec)); // if no parent found or the reference is broken, add the node to the root of the tree
+									TaxonNode tn = classification.addChildTaxon(taxon, sec, null); // if no parent found or the reference is broken, add the node to the root of the tree
+									tn.setSynonymToBeUsed( Synonym.NewInstance(tnb, sec));  //TODO is this required??
 									taxonNodes.put(idN,tn);
 								}
 							}
@@ -1918,7 +1924,7 @@ public class SDDImport extends XmlImportBase<SDDImportConfigurator, SDDImportSta
 			for (Element elGeographicArea : listGeographicAreas){
 
 				String id = elGeographicArea.getAttributeValue("id");
-				NamedArea na = new NamedArea();
+				NamedArea na = NamedArea.NewInstance();
 				importRepresentation(elGeographicArea, sddNamespace, na, id, cdmState);
 				namedAreas.put(id,na);
 								}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
index b2f1a83f46..2483254266 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDataSet.java
@@ -27,11 +27,11 @@ import eu.etaxonomy.cdm.model.agent.Address;
 import eu.etaxonomy.cdm.model.agent.AgentBase;
 import eu.etaxonomy.cdm.model.agent.Contact;
 import eu.etaxonomy.cdm.model.agent.Institution;
-import eu.etaxonomy.cdm.model.agent.InstitutionType;
 import eu.etaxonomy.cdm.model.agent.InstitutionalMembership;
 import eu.etaxonomy.cdm.model.agent.Person;
 import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.ExtensionType;
 import eu.etaxonomy.cdm.model.common.Language;
@@ -48,21 +48,16 @@ import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureNode;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
 import eu.etaxonomy.cdm.model.description.MeasurementUnit;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.PresenceTerm;
-import eu.etaxonomy.cdm.model.description.Scope;
-import eu.etaxonomy.cdm.model.description.Sex;
-import eu.etaxonomy.cdm.model.description.Stage;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StatisticalMeasure;
 import eu.etaxonomy.cdm.model.description.TextFormat;
-import eu.etaxonomy.cdm.model.location.Continent;
 import eu.etaxonomy.cdm.model.location.NamedArea;
 import eu.etaxonomy.cdm.model.location.NamedAreaLevel;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
 import eu.etaxonomy.cdm.model.location.ReferenceSystem;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
-import eu.etaxonomy.cdm.model.media.RightsTerm;
+import eu.etaxonomy.cdm.model.location.Country;
+import eu.etaxonomy.cdm.model.media.RightsType;
 import eu.etaxonomy.cdm.model.molecular.DnaSample;
 import eu.etaxonomy.cdm.model.name.BacterialName;
 import eu.etaxonomy.cdm.model.name.BotanicalName;
@@ -83,13 +78,8 @@ import eu.etaxonomy.cdm.model.name.TaxonNameBase;
 import eu.etaxonomy.cdm.model.name.ViralName;
 import eu.etaxonomy.cdm.model.name.ZoologicalName;
 import eu.etaxonomy.cdm.model.occurrence.DerivationEventType;
-import eu.etaxonomy.cdm.model.occurrence.DeterminationModifier;
-import eu.etaxonomy.cdm.model.occurrence.FieldObservation;
-import eu.etaxonomy.cdm.model.occurrence.Fossil;
-import eu.etaxonomy.cdm.model.occurrence.LivingBeing;
-import eu.etaxonomy.cdm.model.occurrence.Observation;
+import eu.etaxonomy.cdm.model.occurrence.FieldUnit;
 import eu.etaxonomy.cdm.model.occurrence.PreservationMethod;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.reference.Reference;
 import eu.etaxonomy.cdm.model.taxon.Synonym;
@@ -166,17 +156,17 @@ public class SDDDataSet {
     @XmlElements({
     	@XmlElement(name = "AbsenceTerm", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = AbsenceTerm.class),
     	@XmlElement(name = "AnnotationType", namespace = "http://etaxonomy.eu/cdm/model/common/1.0", type = AnnotationType.class),
-    	@XmlElement(name = "Continent", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = Continent.class),
+    	@XmlElement(name = "Continent", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = NamedArea.class),
     	@XmlElement(name = "DerivationEventType", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DerivationEventType.class),
-    	@XmlElement(name = "DeterminationModifier", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DeterminationModifier.class),
+    	@XmlElement(name = "DeterminationModifier", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DefinedTerm.class),
     	@XmlElement(name = "ExtensionType", namespace = "http://etaxonomy.eu/cdm/model/common/1.0", type = ExtensionType.class),
     	@XmlElement(name = "Feature", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = Feature.class),
     	@XmlElement(name = "HybridRelationshipType", namespace = "http://etaxonomy.eu/cdm/model/name/1.0", type = HybridRelationshipType.class),
-    	@XmlElement(name = "InstitutionType", namespace = "http://etaxonomy.eu/cdm/model/agent/1.0", type = InstitutionType.class),
+    	@XmlElement(name = "InstitutionType", namespace = "http://etaxonomy.eu/cdm/model/agent/1.0", type = DefinedTerm.class),
     	@XmlElement(name = "Language", namespace = "http://etaxonomy.eu/cdm/model/common/1.0", type = Language.class),
     	@XmlElement(name = "MarkerType", namespace = "http://etaxonomy.eu/cdm/model/common/1.0", type = MarkerType.class),
     	@XmlElement(name = "MeasurementUnit", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = MeasurementUnit.class),
-    	@XmlElement(name = "Modifier", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = Modifier.class),
+    	@XmlElement(name = "Modifier", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = DefinedTerm.class),
     	@XmlElement(name = "NamedArea", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = NamedArea.class),
     	@XmlElement(name = "NamedAreaLevel", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = NamedAreaLevel.class),
     	@XmlElement(name = "NamedAreaType", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = NamedAreaType.class),
@@ -187,17 +177,17 @@ public class SDDDataSet {
     	@XmlElement(name = "PreservationMethod", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = PreservationMethod.class),
         @XmlElement(name = "Rank", namespace = "http://etaxonomy.eu/cdm/model/name/1.0", type = Rank.class),
     	@XmlElement(name = "ReferenceSystem", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = ReferenceSystem.class),
-    	@XmlElement(name = "RightsTerm", namespace = "http://etaxonomy.eu/cdm/model/media/1.0", type = RightsTerm.class),
-    	@XmlElement(name = "Scope", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = Scope.class),
-    	@XmlElement(name = "Sex", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = Sex.class),
-    	@XmlElement(name = "Stage", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = Stage.class),
+    	@XmlElement(name = "RightsType", namespace = "http://etaxonomy.eu/cdm/model/media/1.0", type = RightsType.class),
+    	@XmlElement(name = "Scope", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = DefinedTerm.class),
+    	@XmlElement(name = "Sex", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = DefinedTerm.class),
+    	@XmlElement(name = "Stage", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = DefinedTerm.class),
     	@XmlElement(name = "State", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = State.class),
     	@XmlElement(name = "StatisticalMeasure", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = StatisticalMeasure.class),
     	@XmlElement(name = "SynonymRelationshipType", namespace = "http://etaxonomy.eu/cdm/model/taxon/1.0", type = SynonymRelationshipType.class),
     	@XmlElement(name = "TaxonRelationshipType", namespace = "http://etaxonomy.eu/cdm/model/taxon/1.0", type = TaxonRelationshipType.class),
     	@XmlElement(name = "TextFormat", namespace = "http://etaxonomy.eu/cdm/model/description/1.0", type = TextFormat.class),
     	@XmlElement(name = "TypeDesignationStatus", namespace = "http://etaxonomy.eu/cdm/model/name/1.0", type = SpecimenTypeDesignationStatus.class),
-    	@XmlElement(name = "WaterbodyOrCountry", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = WaterbodyOrCountry.class)
+    	@XmlElement(name = "Country", namespace = "http://etaxonomy.eu/cdm/model/location/1.0", type = Country.class)
     })
     protected List<DefinedTermBase> terms;
 
@@ -208,11 +198,7 @@ public class SDDDataSet {
     @XmlElementWrapper(name = "Occurrences")
     @XmlElements({
     	@XmlElement(name = "DnaSample", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = DnaSample.class),
-    	@XmlElement(name = "FieldObservation", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldObservation.class),
-    	@XmlElement(name = "Fossil", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = Fossil.class),
-    	@XmlElement(name = "LivingBeing", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = LivingBeing.class),
-    	@XmlElement(name = "Observation", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = Observation.class),
-    	@XmlElement(name = "Specimen", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = Specimen.class)
+    	@XmlElement(name = "FieldUnit", namespace = "http://etaxonomy.eu/cdm/model/occurrence/1.0", type = FieldUnit.class)
     })
     protected List<SpecimenOrObservationBase> occurrences;
     
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDocumentBuilder.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDocumentBuilder.java
index df7ad89bf2..b0b3e96bf4 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDocumentBuilder.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/sdd/out/SDDDocumentBuilder.java
@@ -43,6 +43,7 @@ import eu.etaxonomy.cdm.model.agent.Team;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.Annotation;
 import eu.etaxonomy.cdm.model.common.AnnotationType;
+import eu.etaxonomy.cdm.model.common.DefinedTerm;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
 import eu.etaxonomy.cdm.model.common.IdentifiableEntity;
 import eu.etaxonomy.cdm.model.common.IdentifiableSource;
@@ -58,7 +59,6 @@ import eu.etaxonomy.cdm.model.description.DescriptionElementBase;
 import eu.etaxonomy.cdm.model.description.Feature;
 import eu.etaxonomy.cdm.model.description.FeatureNode;
 import eu.etaxonomy.cdm.model.description.FeatureTree;
-import eu.etaxonomy.cdm.model.description.Modifier;
 import eu.etaxonomy.cdm.model.description.QuantitativeData;
 import eu.etaxonomy.cdm.model.description.State;
 import eu.etaxonomy.cdm.model.description.StateData;
@@ -73,7 +73,7 @@ import eu.etaxonomy.cdm.model.media.MediaRepresentation;
 import eu.etaxonomy.cdm.model.media.MediaRepresentationPart;
 import eu.etaxonomy.cdm.model.media.Rights;
 import eu.etaxonomy.cdm.model.name.TaxonNameBase;
-import eu.etaxonomy.cdm.model.occurrence.Specimen;
+import eu.etaxonomy.cdm.model.occurrence.DerivedUnit;
 import eu.etaxonomy.cdm.model.occurrence.SpecimenOrObservationBase;
 import eu.etaxonomy.cdm.model.reference.IDatabase;
 import eu.etaxonomy.cdm.model.reference.Reference;
@@ -109,10 +109,10 @@ public class SDDDocumentBuilder {
 	private final Map<State, String> states = new HashMap<State, String>();
 	private final Map<Reference<?>, String> articles = new HashMap<Reference<?>, String>();
 	private final Map<VersionableEntity, String> featuretrees = new HashMap<VersionableEntity, String>();
-	private final Map<Modifier, String> modifiers = new HashMap<Modifier, String>();
+	private final Map<DefinedTerm, String> modifiers = new HashMap<DefinedTerm, String>();
 	private final Map<TaxonNode, String> taxonNodes = new HashMap<TaxonNode, String>();
 	private final Map<NamedArea, String> namedAreas = new HashMap<NamedArea, String>();
-	private final Map<Specimen, String> specimens = new HashMap<Specimen, String>();
+	private final Map<DerivedUnit, String> specimens = new HashMap<DerivedUnit, String>();
 	
 	private final Map<VersionableEntity, String> features = new HashMap<VersionableEntity, String>();
 	private int agentsCount = 0;
@@ -679,15 +679,13 @@ public class SDDDocumentBuilder {
 										.isEmpty()) {
 									ElementImpl elModifiers = new ElementImpl(
 											document, "Modifiers");
-									for (Iterator<TermVocabulary<Modifier>> menum = feature
+									for (Iterator<TermVocabulary<DefinedTerm>> menum = feature
 											.getRecommendedModifierEnumeration()
 											.iterator(); menum.hasNext();) {
-										TermVocabulary<Modifier> termVoc = menum
-												.next();
-										Set<Modifier> sm = termVoc.getTerms();
-										for (Iterator<Modifier> modif = sm
-												.iterator(); modif.hasNext();) {
-											Modifier modifier = modif.next();
+										TermVocabulary<DefinedTerm> termVoc = menum.next();
+										Set<DefinedTerm> sm = termVoc.getTerms();
+										for (Iterator<DefinedTerm> modif = sm.iterator(); modif.hasNext();) {
+											DefinedTerm modifier = modif.next();
 											ElementImpl elModifier = new ElementImpl(
 													document, "Modifier");
 											modifiersCount = buildReference(
@@ -922,7 +920,7 @@ public class SDDDocumentBuilder {
 		Feature feature = categoricalData.getFeature();
 		buildReference(feature, characters, REF, categorical, "c",
 				charactersCount);
-		List<StateData> states = categoricalData.getStates();
+		List<StateData> states = categoricalData.getStateData();
 		for (Iterator<StateData> sd = states.iterator(); sd.hasNext();) {
 			StateData stateData = sd.next();
 			State s = stateData.getState();
@@ -1207,21 +1205,16 @@ public class SDDDocumentBuilder {
 							.iterator(); tn.hasNext();) {
 						TaxonNode taxonnode = tn.next();
 						if (taxonnode.isTopmostNode()) {
-							ElementImpl elNode = new ElementImpl(document,
-									"Node");
+							ElementImpl elNode = new ElementImpl(document, "Node");
 							taxonNodesCount = buildReference(taxonnode,
-									taxonNodes, ID, elNode, "tn",
-									taxonNodesCount);
-							ElementImpl elTaxonName = new ElementImpl(document,
-									TAXON_NAME);
-							taxonNamesCount = buildReference(taxonnode
-									.getTaxon().getName(), taxonNames, REF,
-									elTaxonName, "t", taxonNamesCount);
+									taxonNodes, ID, elNode, "tn", taxonNodesCount);
+							ElementImpl elTaxonName = new ElementImpl(document, TAXON_NAME);
+							taxonNamesCount = buildReference(taxonnode.getTaxon().getName(), 
+									taxonNames, REF, elTaxonName, "t", taxonNamesCount);
 							elNode.appendChild(elTaxonName);
 							elTaxonHierarchy.appendChild(elNode);
-							if (taxonnode.hasChildNodes()) {
-								buildTaxonBranches(taxonnode.getChildNodes(),
-										taxonnode, elTaxonHierarchy);
+							if (taxonnode.hasChildNodes()) {buildTaxonBranches(
+									taxonnode.getChildNodes(), taxonnode, elTaxonHierarchy);
 							}
 						}
 					}
@@ -1232,7 +1225,7 @@ public class SDDDocumentBuilder {
 		}
 	}
 
-	private void buildTaxonBranches(Set<TaxonNode> children, TaxonNode parent,
+	private void buildTaxonBranches(List<TaxonNode> children, TaxonNode parent,
 			ElementImpl elTaxonHierarchy) {
 		if (children != null) {
 			for (Iterator<TaxonNode> tn = children.iterator(); tn.hasNext();) {
@@ -1260,7 +1253,7 @@ public class SDDDocumentBuilder {
 
 	public void buildBranches(FeatureNode parent, ElementImpl element,
 			boolean isRoot) {
-		List<FeatureNode> children = parent.getChildren();
+		List<FeatureNode> children = parent.getChildNodes();
 		if (!parent.isLeaf()) {
 			ElementImpl elCharNode = new ElementImpl(document, NODE);
 			charnodeCount = buildReference(parent, featuretrees, ID,
@@ -1503,11 +1496,9 @@ public class SDDDocumentBuilder {
 
 			for (int i = 0; i < cdmSource.getOccurrences().size(); i++) {
 				ElementImpl elSpecimen = new ElementImpl(document, "Specimen");
-				SpecimenOrObservationBase sob = cdmSource.getOccurrences().get(
-						i);
-				if (sob instanceof Specimen) {
-					specimenCount = buildReference(sob, specimens, ID,
-							elSpecimen, "s", specimenCount);
+				SpecimenOrObservationBase<?> sob = cdmSource.getOccurrences().get(i);
+				if (sob.getRecordBasis().isPreservedSpecimen()) {
+					specimenCount = buildReference(sob, specimens, ID, elSpecimen, "s", specimenCount);
 					buildRepresentation(elSpecimen, sob);
 					elSpecimens.appendChild(elSpecimen);
 				}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/SpecimenImportBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/SpecimenImportBase.java
index 317ec83a02..801ff9cb7c 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/SpecimenImportBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/SpecimenImportBase.java
@@ -20,7 +20,6 @@ import eu.etaxonomy.cdm.io.common.ImportStateBase;
 /**
  * @author p.kelbert
  * @created 20.10.2008
- * @version 1.0
  */
 public abstract class SpecimenImportBase<CONFIG extends IImportConfigurator, STATE extends ImportStateBase>  extends CdmImportBase<CONFIG, STATE> {
 	@SuppressWarnings("unused")
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/UnitsGatheringArea.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/UnitsGatheringArea.java
index a267081ec7..2e0f8c0092 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/UnitsGatheringArea.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/specimen/UnitsGatheringArea.java
@@ -30,24 +30,21 @@ import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator;
 import eu.etaxonomy.cdm.io.specimen.excel.in.SpecimenSynthesysExcelImportConfigurator;
 import eu.etaxonomy.cdm.io.taxonx2013.TaxonXImportConfigurator;
 import eu.etaxonomy.cdm.model.common.DefinedTermBase;
-import eu.etaxonomy.cdm.model.location.Continent;
 import eu.etaxonomy.cdm.model.location.NamedArea;
-import eu.etaxonomy.cdm.model.location.WaterbodyOrCountry;
+import eu.etaxonomy.cdm.model.location.Country;
 
 /**
  * @author p.kelbert
  * @created 20.10.2008
- * @version 1.0
  */
 public class UnitsGatheringArea {
+    private static final Logger logger = Logger.getLogger(UnitsGatheringArea.class);
 
     private static final boolean DEBUG = false;
     private final ArrayList<DefinedTermBase> areas = new ArrayList<DefinedTermBase>();
     private boolean useTDWGarea = false;
-    //    private ITermService termService;
-    //    private IOccurrenceService occurrenceService;
-    private DefinedTermBase<?> wbc = null;
-    Logger logger = Logger.getLogger(this.getClass());
+
+    private DefinedTermBase<?> wbc;
 
 
     public UnitsGatheringArea(){
@@ -83,11 +80,10 @@ public class UnitsGatheringArea {
     @SuppressWarnings("rawtypes")
     public void setAreaNames(List<String> namedAreas, ImportConfiguratorBase<?, ?> config, ITermService termService){
         List<DefinedTermBase> termsList = termService.list(NamedArea.class,0,0,null,null);
-        termsList.addAll(termService.list(Continent.class, 0, 0, null, null));
-        termsList.addAll(termService.list(WaterbodyOrCountry.class, 0, 0, null, null));
+        termsList.addAll(termService.list(Country.class, 0, 0, null, null));
 
         if (DEBUG) {
-            logger.info(termService.list(Continent.class, 0, 0, null, null));
+            logger.info(termService.list(NamedArea.class, 0, 0, null, null));
         }
 
         HashSet<String> areaToAdd= new HashSet<String>();
@@ -171,7 +167,7 @@ public class UnitsGatheringArea {
     public void setCountry(String iso, String fullName, ImportConfiguratorBase<?, ?> config, ITermService termService,
             IOccurrenceService occurrenceService){
         List<DefinedTermBase> termsList = termService.list(NamedArea.class,0,0,null,null);
-        termsList.addAll(termService.list(WaterbodyOrCountry.class, 0, 0, null, null));
+        termsList.addAll(termService.list(Country.class, 0, 0, null, null));
 
         HashMap<String, UUID> matchingTerms = new HashMap<String, UUID>();
 
